package com.ruoyi.gen.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.gen.domain.GenTableColumn;
import com.ruoyi.gen.mapper.GenTableColumnMapper;

/**
 * 业务字段 服务层实现
 * 
 * @author ruoyi
 */
@Service
public class GenTableColumnServiceImpl implements IGenTableColumnService 
{
	@Autowired
	private GenTableColumnMapper genTableColumnMapper;

	/**
     * 查询业务字段列表
     * 
     * @param tableId 业务字段编号
     * @return 业务字段集合
     */
	@Override
	public List<GenTableColumn> selectGenTableColumnListByTableId(Long tableId)
	{
	    return genTableColumnMapper.selectGenTableColumnListByTableId(tableId);
	}
	
    /**
     * 新增业务字段
     * 
     * @param genTableColumn 业务字段信息
     * @return 结果
     */
	@Override
	public int insertGenTableColumn(GenTableColumn genTableColumn)
	{
	    return genTableColumnMapper.insertGenTableColumn(genTableColumn);
	}
	
	/**
     * 修改业务字段
     * 
     * @param genTableColumn 业务字段信息
     * @return 结果
     */
	@Override
	public int updateGenTableColumn(GenTableColumn genTableColumn)
	{
	    return genTableColumnMapper.updateGenTableColumn(genTableColumn);
	}

	/**
     * 删除业务字段对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
	@Override
	public int deleteGenTableColumnByIds(String ids)
	{
		return genTableColumnMapper.deleteGenTableColumnByIds(Convert.toLongArray(ids));
	}

	/**
	 * 查询生成信息用于生成详细设计
	 * @param functionName 生成信息
	 * @return list
	 */
	@Override
	public List<GenTableColumn> selectGenInfo(String functionName)
	{
		return genTableColumnMapper.selectGenInfo(functionName);
	}

	/**
	 * 获取字典文本拼接。
	 * <p>例如正常、异常</p>
	 * @param dictType 字典类型
	 * @return String
	 */
	@Override
	public String selectDictLabelBase(String dictType) {
		return genTableColumnMapper.selectDictLabelBase(dictType);
	}
	@Override
	public String selectDictLabelWebsite(String dictType) {
		return genTableColumnMapper.selectDictLabelWebsite(dictType);
	}
	@Override
	public String selectDictLabelExchange(String dictType) {
		return genTableColumnMapper.selectDictLabelExchange(dictType);
	}
	@Override
	public String selectDictLabelDatax(String dictType) {
		return genTableColumnMapper.selectDictLabelDatax(dictType);
	}
}